GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
    Market Data API
    Fund Management API
      Crypto Fund Management
        List Deposit AddressesCreate New Deposit AddressWithdraw Crypto FundsGet Gas Fee EstimationList Approved AddressesCreate New Approved AddressRemove Approved Address
      Cash & Fiat Management
      Balances & Account Transfers
    Instant Orders API
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
      Broker & Trade Operations

Withdraw Crypto Funds

TradingFund ManagementWithdraw Crypto Funds

Withdraw Crypto Funds

POSThttps://api.gemini.com/v2/withdraw/{network}/{ticker}

Allows cryptocurrency withdrawal to a pre-approved address with explicit network selection. The account must have an approved address list, the destination address must already be on that list, and the API key must have the Fund Manager role.

POSTv2/withdraw/ethereum/eth
curl --request POST \
  --url https://api.gemini.com/v2/withdraw/ethereum/eth \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v2/withdraw/ethereum/eth",
  "nonce": "<nonce>",
  "address": "0xA63123350Acc8F5ee1b1fBd1A6717135e82dBd28",
  "amount": "2.34567"
}
'

Roles

The API key you use to access this endpoint must have the Fund Manager role assigned. See Roles for more information.

The OAuth scope must have crypto:send assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Path Parameters

networkstring·required
Can be bitcoin, ethereum, bitcoincash, litecoin, zcash, filecoin, dogecoin, tezos, solana, polkadot, avalanche, cosmos, or xrpl
tickerstring·required
The cryptocurrency ticker code (e.g., btc, eth, usdc). See Symbols and minimums.

Request Body

addressstring·required
The destination address for the withdrawal
amountstring·required
The amount to withdraw
memostring
Required for certain networks that use memos (e.g., Solana, XRP, Cosmos). The destination tag or memo for the withdrawal.
clientTransferIdstring (uuid)
A unique UUID for idempotent withdrawals. If provided, duplicate requests with the same `clientTransferId` will not create additional withdrawals.
Example request body
{
  "address": "mi98Z9brJ3TgaKsmvXatuRahbFRUFKRUdR",
  "amount": "1"
}

Responses

Successful operation

withdrawalIdstring
A unique ID for the withdrawal
addressstring
Standard string format of the withdrawal destination address
amountstring
The withdrawal amount
currencystring
The currency code of the withdrawn asset
feestring
The fee charged for the withdrawal
Example Responses
{
  "withdrawalId": "02176a83-a6b1-4202-9b85-1c1c92dd25c4",
  "address": "mi98Z9brJ3TgaKsmvXatuRahbFRUFKRUdR",
  "amount": "1",
  "currency": "BTC",
  "fee": "0"
}
PreviousList Custody Fee TransfersNextGet Gas Fee Estimation